# gstmpegvideometa

## Functions

### gst_buffer_add_mpeg_video_meta

    GstMpegVideoMeta *
    gst_buffer_add_mpeg_video_meta (GstBuffer * buffer,
                                    GstMpegVideoSequenceHdr * seq_hdr,
                                    GstMpegVideoSequenceExt * seq_ext,
                                    GstMpegVideoSequenceDisplayExt * disp_ext,
                                    GstMpegVideoPictureHdr * pic_hdr,
                                    GstMpegVideoPictureExt * pic_ext,
                                    GstMpegVideoQuantMatrixExt * quant_ext)

Creates and adds a GstMpegVideoMeta to a buffer.

Provided structures must either be NULL or GSlice-allocated.

Parameters:

`buffer` –

a GstBuffer

`seq_hdr` –
No description available
`seq_ext` –
No description available
`disp_ext` –
No description available
`pic_hdr` –
No description available
`pic_ext` –
No description available
`quant_ext` –
No description available
Returns (GstMpegVideoMeta *) –

a newly created GstMpegVideoMeta

Since : 1.2

### gst_mpeg_video_meta_api_get_type

    GType
    gst_mpeg_video_meta_api_get_type ()

Returns (GType) –
No description available

### gst_mpeg_video_meta_get_info

    GstMetaInfo *
    gst_mpeg_video_meta_get_info ()

Returns (GstMetaInfo *) –
No description available

## Structures

### GstMpegVideoMeta

    struct _GstMpegVideoMeta {
      GstMeta            meta;

      GstMpegVideoSequenceHdr        *sequencehdr;
      GstMpegVideoSequenceExt        *sequenceext;
      GstMpegVideoSequenceDisplayExt *sequencedispext;
      GstMpegVideoPictureHdr         *pichdr;
      GstMpegVideoPictureExt         *picext;
      GstMpegVideoQuantMatrixExt     *quantext;

      guint num_slices;
      gsize slice_offset;
    };

Extra buffer metadata describing the contents of a MPEG1/2 Video frame

Can be used by elements (mainly decoders) to avoid having to parse Mpeg video 1/2 packets if it can be done upstream.

The various fields are only valid during the lifetime of the GstMpegVideoMeta. If elements wish to use those for longer, they are required to make a copy.

#### Fields

`meta` (GstMeta) –

parent GstMeta

`sequencehdr` (GstMpegVideoSequenceHdr *) –

the GstMpegVideoSequenceHdr if present in the buffer

`sequenceext` (GstMpegVideoSequenceExt *) –

the GstMpegVideoSequenceExt if present in the buffer

`sequencedispext` (GstMpegVideoSequenceDisplayExt *) –

the GstMpegVideoSequenceDisplayExt if present in the buffer.

`pichdr` (GstMpegVideoPictureHdr *) –

the GstMpegVideoPictureHdr if present in the buffer.

`picext` (GstMpegVideoPictureExt *) –

the GstMpegVideoPictureExt if present in the buffer.

`quantext` (GstMpegVideoQuantMatrixExt *) –

the GstMpegVideoQuantMatrixExt if present in the buffer

`num_slices` (guint) –
No description available
`slice_offset` (gsize) –
No description available

Since : 1.2

The results of the search are